//*******************************************************************
//******* HOT METAL *************************************************
//*******************************************************************
textures/praetoria_m1/alpha/embers
{
	qer_editorimage textures/praetoria_m1/alpha/ember1a.tga
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm nomarks

	{
		map textures/metal_misc/ametal_m03man.tga
		rgbGen identity
	}
	{
		map textures/praetoria_m1/alpha/ember1a.tga
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/praetoria_m1/alpha/ember1b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.5
	}
}

//*******************************************************************
//******* Electricity ***********************************************
//*******************************************************************
textures/praetoria_m1/lights/lightning
{
		
	cull twosided
	deformVertexes autoSprite2
	qer_editorimage textures/praetoria_m1/lights/lightning1.tga

	{
		animMap 20 textures/praetoria_m1/lights/lightning1.tga textures/praetoria_m1/lights/lightning2.tga textures/praetoria_m1/lights/lightning3.tga textures/praetoria_m1/lights/lightning2.tga
		
		blendFunc GL_SRC_ALPHA GL_ONE
	//	rgbGen wave inverseSawtooth 0 1 0 10
		rgbGen identity
	}
}



//Reflective marble floor
textures/praetoria_m1/floors/floor_marble_02
{ 

	qer_editorimage textures/praetoria_m1/floors/floor_marble_02.tga
	{ 
		map textures/praetoria_m1/env/env_muted.tga 
		tcGen environment 
	} 
	{ 
		map textures/praetoria_m1/floors/floor_marble_02.tga 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	} 
	{ 
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
}


//******************************************************************
//****** WATER TEXTURES ********************************************
//******************************************************************

//Water surface when viewed from above
textures/praetoria_m1/terrain/water_outside
{
	nocompress
	qer_editorimage textures/praetoria_m1/terrain/water_base.tga
	qer_trans .25
	q3map_globaltexture
	q3map_cloneshader textures/praetoria_m1/terrain/water_inside

//	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter

	{
		map textures/praetoria_m1/terrain/water_base.tga
		alphaGen const .75
		
		tcMod scroll .0 .05
		tcMod scale 4 1
		tcMod scale .25 1
	}
	{
		map textures/praetoria_m1/terrain/water_overlay.tga
		blendFunc blend
		tcMod scroll 0 0.1
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen Identity
		depthFunc equal
	}
}

//Water surface viewed from underneath
textures/praetoria_m1/terrain/water_inside
{
	qer_editorimage textures/praetoria_m1/terrain/water_caustic.tga
	qer_trans .9
	nocompress
	
	q3map_globaltexture
	q3map_invert

	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
//	surfaceparm lightfilter


	{
		map textures/praetoria_m1/terrain/water_base.tga
		blendFunc filter
		tcMod scroll .0 .10
		tcMod scale 4 1
		tcMod scale .25 1
	}
	{
		map textures/praetoria_m1/terrain/water_caustic.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll -.05 -.05
	}
	{
		map textures/praetoria_m1/terrain/water_caustic_2.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll .05 0.05
	}
	{
		map textures/praetoria_m1/terrain/water_overlay.tga
		blendFunc blend
		tcMod scroll 0 0.05
	}
	{
		map $lightmap
		rgbGen Identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Water surface for shallow pools
textures/praetoria_m1/terrain/water_pool
{
	qer_editorimage textures/praetoria_m1/terrain/water_caustic.tga
	qer_trans .9
	cull disable
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	surfaceparm lightfilter

	{
		map textures/praetoria_m1/terrain/water_base.tga
		alphaGen const .35
		tcMod scale 4 1
		tcMod scale .25 1
		tcmod turb 0.1 0.15 0 0.075
	}
	{
		map textures/praetoria_m1/terrain/water_caustic.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll -.05 -.05
	}
	{
		map textures/praetoria_m1/terrain/water_caustic_2.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll .05 0.05
	}
	{
		map $lightmap
		rgbGen Identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Recycler tanks Fluid
textures/praetoria_m1/props/fluid_tanks
{
	qer_editorimage textures/praetoria_m1/terrain/water_base.tga
	qer_trans .3
	q3map_lightmapBrightness 3
	q3map_surfacelight 300
	q3map_lightSubdivide 60
	q3map_lightRGB .8 .85 1
	surfaceparm glass
	surfaceparm lightfilter
	surfaceparm playerclip
//	surfaceparm trans
	
	{
		map textures/effects/tinfx.tga
		tcGen environment
	}
	{
		map textures/praetoria_m1/terrain/water_caustic.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll -.05 -.05
	}
	{
		map textures/praetoria_m1/terrain/water_caustic_2.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll .05 0.05
	}
	{
		map $lightmap
		rgbGen Identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Water No-draw shader
textures/praetoria_m1/water_nodraw
{
	qer_editorimage textures/praetoria_m1/editor_images/water_nodraw.tga
	qer_trans .5
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	surfaceparm nomarks
}

//Water fog shader 
textures/praetoria_m1/water_fog
{
	qer_editorimage textures/praetoria_m1/editor_images/water_fog.tga
	qer_trans 0.5

	surfaceparm nomarks	
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm fog
	surfaceparm water

//		fogparms ( 0.075 0.085 0.075 ) 3096 //turned off fog, now it is just a nodraw shader
}

//Translucent Arrows
textures/praetoria_m1/translucent_red
{
	qer_editorimage textures/praetoria_m1/lights/light_arrow_blend.tga
	cull none
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nonsolid
	
	{
		map textures/praetoria_m1/lights/light_arrow_blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.5
		tcMod scroll 0 1
//		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 1.0 0.6 0.6 )
	}
}

textures/praetoria_m1/translucent_green
{
	qer_editorimage textures/praetoria_m1/lights/light_arrow_blend.tga
	cull none
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nonsolid
	
	{
		map textures/praetoria_m1/lights/light_arrow_blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.5
		tcMod scroll 0 1
//		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 1 0.6 )
	}
}

textures/praetoria_m1/translucent_blue
{
	qer_editorimage textures/praetoria_m1/lights/light_arrow_blend.tga
	cull none
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nonsolid
	
	{
		map textures/praetoria_m1/lights/light_arrow_blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.5
		tcMod scroll 0 1
//		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 1 )
	}
}

textures/praetoria_m1/translucent_white
{
	qer_editorimage textures/praetoria_m1/lights/light_arrow_blend.tga
	cull none
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nonsolid

	{
		map textures/praetoria_m1/lights/light_arrow_blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 .5
		tcMod scroll 0 1
//		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( .95 .95 1 )
	}
}