//**********************************************************************//
//
//	praetoria_m1_terrain.shader for ET.
//  DotProduct2 Shaders by Sock.
//	Website : http://www.planetquake.com/simland/
//
//**********************************************************************//
//
// ======================================================================
// DotProduct2 Terrain blending
// ======================================================================
//textures/my_terrain/my_base_shader 
//{ 
//   nopicmips 
//   q3map_lightmapaxis z 
//   q3map_lightmapmergable 
//   q3map_nonplanar 
//   q3map_shadeangle 155 
//   q3map_forcemeta 
//   q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 ) 
//} 
//   q3map_baseShader textures/my_terrain/my_base_shader // adding this line is 
// like adding all the shader info from the above one into new shader.

textures/praetoria_m1/terrain/praetoria_m1_ter_dirtgrass
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_dirtgrass_ed.tga
        
  q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
  q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
  q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem (2x =32)	
	q3map_nonplanar
	q3map_shadeangle 160
	q3map_noTJunc
	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm grasssteps
	surfaceparm landmine
	{
		map textures/praetoria_m1/terrain/terrain_dirt_01.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_grass_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_dirtmud
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_dirtmud_ed.tga
        
 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
		surfaceparm grasssteps
		surfaceparm landmine
	{
		map textures/praetoria_m1/terrain/terrain_dirt_01.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_mud_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_dirtstone
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_dirtstone_ed.tga
        
 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/praetoria_m1/terrain/terrain_dirt_01.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_cobblestone_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_graveldirt
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_graveldirt_ed.tga
        
 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
		surfaceparm gravelsteps
	//	surfaceparm landmine
	{
		map textures/praetoria_m1/terrain/terrain_gravel_01.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_dirt_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_grassdirt
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_grassdirt_ed.tga
        
 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem (2x =32)	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
		surfaceparm grasssteps
		surfaceparm landmine
	{
		map textures/praetoria_m1/terrain/terrain_grass_01.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_dirt_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_grassmud
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_grassmud_ed.tga
        
 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
		surfaceparm grasssteps
		surfaceparm landmine
	{
		map textures/praetoria_m1/terrain/terrain_grass_01.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_mud_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_grassstone
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_grassstone_ed.tga
        
 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/praetoria_m1/terrain/terrain_grass_01.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_cobblestone_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_muddirt
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_muddirt_ed.tga
        
 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
		surfaceparm grasssteps
		surfaceparm landmine
	{
		map textures/praetoria_m1/terrain/terrain_mud_01.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_dirt_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_mudgrass
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_mudgrass_ed.tga
        
 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
		surfaceparm grasssteps
			surfaceparm landmine
	{
		map textures/praetoria_m1/terrain/terrain_mud_01.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_grass_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_mudstone
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_mudstone_ed.tga

    q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/praetoria_m1/terrain/terrain_mud_01.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_cobblestone_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_mudstone2
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_mudstone2_ed.tga

 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/praetoria_m1/terrain/terrain_mud_02.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_riverstone_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_rockdirt
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_rockdirt_ed.tga

 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/praetoria_m1/terrain/terrain_rock_03.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_dirt_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_rockgrass
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_rockgrass_ed.tga
        
 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/praetoria_m1/terrain/terrain_rock_03.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_grass_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_rockmud
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_rockmud_ed.tga
        
 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/praetoria_m1/terrain/terrain_rock_03.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_mud_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_stonedirt
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_stonedirt_ed.tga

 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/praetoria_m1/terrain/terrain_cobblestone_01.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_dirt_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_stonegrass
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_stonegrass_ed.tga
        
 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/praetoria_m1/terrain/terrain_cobblestone_01.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_grass_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/praetoria_m1/terrain/praetoria_m1_ter_stonemud
{
        qer_editorimage textures/praetoria_m1/editor_images/ter_stonemud_ed.tga
        
 	q3map_lightmapaxis z // Project lightmap on z axis (up/down) 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/praetoria_m1/terrain/terrain_cobblestone_01.tga	// Primary
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_mud_01.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// ======================================================================
// MD3 Grass textures
// ======================================================================
//textures/praetoria_m1/terrain/praetoria_m1_ter_foliage
//{
//        qer_editorimage textures/praetoria_m1/editor_images/ter_grassmd3_ed.tga
//	
//  	q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
//  	q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem (2x =32)	
//	q3map_nonplanar
//	q3map_shadeangle 160
////	q3map_noTJunc
////	q3map_noclip    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem 	
//	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
//	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
//	
//   q3map_foliage maps/ase/praetoria_m1_grass.ase 1.25 48 0.1 2 
//   q3map_foliage maps/ase/praetoria_m1_grass.ase 1.1 48 0.1 2 
//   q3map_foliage maps/ase/praetoria_m1_grass.ase 1 48 0.1 2 
//
//		surfaceparm grasssteps
//		surfaceparm landmine
//	{
//		map textures/praetoria_m1/terrain/terrain_grass_01.tga	// Primary
//		rgbGen identity
//	}
//	{
//		map textures/praetoria_m1/terrain/terrain_dirt_01.tga	// Secondary
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
//		rgbGen identity
//		alphaGen vertex
//	}
//	{
//		map $lightmap
//		blendFunc GL_DST_COLOR GL_ZERO
//		rgbGen identity
//	}
//}

//textures/praetoria_m1/terrain/praetoria_m1_ter_sparse
//{
//        qer_editorimage textures/praetoria_m1/editor_images/ter_fademd3_ed.tga
//	
// 	q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
//  	q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem (2x =32)	
//	q3map_nonplanar
//	q3map_shadeangle 160
////	q3map_noTJunc
////	q3map_noclip
//	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
//	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
//	
//   q3map_foliage maps/ase/praetoria_m1_grass.ase .75 64 0.1 2
//   q3map_foliage maps/ase/praetoria_m1_grass.ase 1.1 64 0.1 2
//   q3map_foliage maps/ase/praetoria_m1_grass.ase .5 64 0.1 2
//
//		surfaceparm grasssteps
//		surfaceparm landmine
//	{
//		map textures/praetoria_m1/terrain/terrain_grass_01.tga	// Primary
//		rgbGen identity
//	}
//	{
//		map textures/praetoria_m1/terrain/terrain_dirt_01.tga	// Secondary
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
//		rgbGen identity
//		alphaGen vertex
//	}
//	{
//		map $lightmap
//		blendFunc GL_DST_COLOR GL_ZERO
//		rgbGen identity
//	}
//}

//textures/praetoria_m1/terrain_grass_foliage_base
//{
//		qer_editorimage textures/praetoria_m1/editor_images/ter_grassmd3_ed.tga
//	q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
//	q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem (2x =32)	
//	q3map_nonplanar
//	q3map_shadeangle 160
////	q3map_noTJunc
////	q3map_noclip
//	surfaceparm grasssteps
//	surfaceparm landmine
//
//	q3map_foliage models/mapobjects/plants_sd/grass_low.md3 1 48 0.1 2
//    q3map_foliage models/mapobjects/plants_sd/grassdryfoliage.md3 1.1 48 0.1 2
//   	q3map_foliage models/mapobjects/plants_sd/grass_low.md3 .75 48 0.1 2
//	
//	{
//		map $lightmap
//		rgbGen identity
//	}
//	{
//		map textures/praetoria_m1/terrain/terrain_grass_01.tga
//		blendFunc filter
//	}
//}

textures/praetoria_m1/terrain_grass_foliage_fade
{
		qer_editorimage textures/praetoria_m1/editor_images/ter_fademd3_ed.tga
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
    q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem (2x =32)
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_noTJunc
//	q3map_noclip
	surfaceparm grasssteps
	surfaceparm landmine

	q3map_foliage models/mapobjects/plants_sd/grass_low.md3 .75 64 0.1 2
    q3map_foliage models/mapobjects/plants_sd/grassdryfoliage.md3 1.1 64 0.1 2
	q3map_foliage models/mapobjects/plants_sd/grass_low.md3 .5 64 0.1 2
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_grass_01.tga
		blendFunc filter
	}
}


// ======================================================================
// Hong Phonged textures
// ======================================================================

textures/praetoria_m1/terrain/terrain_rock_01	// Vertical needs phong
{
    	qer_editorimage textures/praetoria_m1/terrain/terrain_rock_01.tga
 
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
  	q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem (2x =32)    	
	q3map_nonplanar
	q3map_shadeangle 120
//	q3map_noTJunc
//	q3map_noclip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_rock_01.tga
		blendFunc filter
	}
}

textures/praetoria_m1/terrain/terrain_rock_02	// Blends inside of terrain_rock_01
{
    	qer_editorimage textures/praetoria_m1/terrain/terrain_rock_02.tga
    	
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
  	q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem (2x =32)    	
	q3map_nonplanar
	q3map_shadeangle 120
//	q3map_noTJunc
//	q3map_noclip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_rock_02.tga
		blendFunc filter
	}
}

textures/praetoria_m1/terrain/terrain_rock_04	// Rough rock version
{
    	qer_editorimage textures/praetoria_m1/terrain/terrain_rock_04.tga
    	
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
  	q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem (2x =32)    	
	q3map_nonplanar
	q3map_shadeangle 120
//	q3map_noTJunc
//	q3map_noclip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_rock_04.tga
		blendFunc filter
	}
}


//This shader is used to blend vertical surfaces (needs a new rock2grass texture)
//
//textures/sockter/ter_rock2moss1	// Vertical needs phong
//{
//	q3map_nonplanar
//	q3map_shadeangle 120
//      qer_editorimage textures/sockter/ter_rock2moss1.tga
//	{
//		map $lightmap
//		rgbGen identity
//	}
//	{
//		map textures/sockter/ter_rock2moss1.tga
//		alphaFunc GT0
//		blendFunc filter
//	}
//}

textures/praetoria_m1/terrain/terrain_road_01	// Vertical needs phong
{
    	qer_editorimage textures/praetoria_m1/terrain/terrain_road_01.tga
    	
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
  	q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem (2x =32)    	
	q3map_nonplanar
	q3map_shadeangle 120
//	q3map_noTJunc
//	q3map_noclip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_road_01.tga
		blendFunc filter
	}
}

textures/praetoria_m1/terrain/terrain_road_02	// Vertical needs phong
{
    	qer_editorimage textures/praetoria_m1/terrain/terrain_road_02.tga
    	
    q3map_lightmapmergable // Merges all terrain into one seamless lightmap (no seams) 
  	q3map_lightmapsamplesize 16 // Sets lightmap sample size to 2x normal to save mem (2x =32)    	
	q3map_nonplanar
	q3map_shadeangle 120
//	q3map_noTJunc
//	q3map_noclip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/praetoria_m1/terrain/terrain_road_02.tga
		blendFunc filter
	}
}






// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
// ======================================================================

textures/praetoria_m1/alpha_000	// Primary texture ONLY
{
    qer_editorimage textures/praetoria_m1/editor_images/alpha_ed_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/praetoria_m1/alpha_025
{
    qer_editorimage textures/praetoria_m1/editor_images/alpha_ed_025.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/praetoria_m1/alpha_050	// Perfect mix of both Primary + Secondary
{
    qer_editorimage textures/praetoria_m1/editor_images/alpha_ed_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/praetoria_m1/alpha_075
{
    qer_editorimage textures/praetoria_m1/editor_images/alpha_ed_075.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/praetoria_m1/alpha_085
{
    qer_editorimage textures/praetoria_m1/editor_images/alpha_ed_085.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/praetoria_m1/alpha_100	// Secondary texture ONLY
{
    qer_editorimage textures/praetoria_m1/editor_images/alpha_ed_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

